PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Public Attributes | List of all members
PVarType::Variant Union Reference

`#include <vartype.h>`

Collaboration diagram for PVarType::Variant:
[legend]

## Classes
struct | Dynamic

## Public Member Functions
| Variant ()

## Public Attributes
bool | boolean
char | character
int8_t | int8
int16_t | int16
int32_t | int32
int64_t | int64
uint8_t | uint8
uint16_t | uint16
uint32_t | uint32
uint64_t | uint64
float | floatSingle
double | floatDouble
long double | floatExtended
uint8_t | guid [PGloballyUniqueID::Size]
struct {
time_t seconds
PTime::TimeFormat format
} | time
const char * | staticString
struct PVarType::Variant::Dynamic | dynamic
struct {
const char * data
size_t size
} | staticBinary

## Constructor & Destructor Documentation

PVarType::Variant::Variant | ( |  | ) |
| inline

## Member Data Documentation

bool PVarType::Variant::boolean

Referenced by PVarType::operator=(), and PVarType::PVarType().

char PVarType::Variant::character

Referenced by PVarType::operator=(), and PVarType::PVarType().

const char* PVarType::Variant::data

struct PVarType::Variant::Dynamic PVarType::Variant::dynamic

double PVarType::Variant::floatDouble

Referenced by PVarType::operator=(), and PVarType::PVarType().

long double PVarType::Variant::floatExtended

Referenced by PVarType::operator=(), and PVarType::PVarType().

float PVarType::Variant::floatSingle

Referenced by PVarType::operator=(), and PVarType::PVarType().

PTime::TimeFormat PVarType::Variant::format

uint8_t PVarType::Variant::guid[PGloballyUniqueID::Size]

Referenced by PVarType::operator=(), and PVarType::PVarType().

int16_t PVarType::Variant::int16

Referenced by PVarType::operator=(), and PVarType::PVarType().

int32_t PVarType::Variant::int32

Referenced by PVarType::operator=(), and PVarType::PVarType().

int64_t PVarType::Variant::int64

Referenced by PVarType::operator=(), and PVarType::PVarType().

int8_t PVarType::Variant::int8

time_t PVarType::Variant::seconds

Referenced by PVarType::operator=(), and PVarType::PVarType().

size_t PVarType::Variant::size

struct { ... } PVarType::Variant::staticBinary

const char* PVarType::Variant::staticString

struct { ... } PVarType::Variant::time

Referenced by PVarType::operator=(), and PVarType::PVarType().

uint16_t PVarType::Variant::uint16

Referenced by PVarType::operator=(), and PVarType::PVarType().

uint32_t PVarType::Variant::uint32

Referenced by PVarType::operator=(), and PVarType::PVarType().

uint64_t PVarType::Variant::uint64

Referenced by PVarType::operator=(), and PVarType::PVarType().

uint8_t PVarType::Variant::uint8

Referenced by PVarType::operator=(), and PVarType::PVarType().

The documentation for this union was generated from the following file:

- vartype.h